Skip to main content
GET
/
api
/
v1
/
contacts
List Contacts
curl --request GET \
  --url https://api.example.com/api/v1/contacts
{
  "contacts": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "phone_number": "<string>",
      "source": "<string>",
      "is_opted_out": true,
      "tags": [
        "<string>"
      ],
      "created_at": "<string>",
      "name": "<string>",
      "email": "<string>",
      "whatsapp_name": "<string>",
      "profile_picture_url": "<string>",
      "source_details": "<string>",
      "last_message_at": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.wazzapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
search
string | null
source
string | null
group_id
string<uuid> | null
sort_by
string
default:name
sort_order
string
default:asc

Response

Successful Response

Response for listing contacts.

contacts
ContactItem · object[]
required
total
integer
required
limit
integer
required
offset
integer
required